ACE (Agentic Commerce Engine)
API ReferenceWebhooks

Create a webhook subscription

POST
/webhooks

Subscribe an HTTPS endpoint to one or more events. The response includes a signing secret used to verify deliveries.

Authorization

AuthorizationBearer <token>

API key in the Authorization header: Authorization: Bearer ace_live_.... Use an ace_test_... key for the free, rate-capped sandbox.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/webhooks" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com",    "events": [      "string"    ]  }'
{  "data": {    "id": "string",    "url": "http://example.com",    "events": [      "string"    ],    "secret": "string",    "is_active": true,    "description": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}
{  "error": {    "code": "INSUFFICIENT_CREDITS",    "message": "Not enough credits for this request.",    "details": null  }}
{  "error": {    "code": "INSUFFICIENT_CREDITS",    "message": "Not enough credits for this request.",    "details": null  }}